Skip to main content

Create Price

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_create_price

Create a price for a product

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-price-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_price",
"arguments": {
"productId": "productId_123",
"name": "name_example",
"type": "one_time",
"currency": "currency_example",
"amount": 1,
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123",
"compareAtPrice": 1
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"productId": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"one_time",
"recurring"
]
},
"currency": {
"type": "string"
},
"amount": {
"type": "number"
},
"locationId": {
"type": "string"
},
"compareAtPrice": {
"type": "number"
}
},
"required": [
"productId",
"name",
"type",
"currency",
"amount"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-create-price-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_create_price",
"arguments": {
"productId": "productId_123",
"name": "name_example",
"type": "one_time",
"currency": "currency_example",
"amount": 1,
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123",
"compareAtPrice": 1
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_create_price executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}